classification
Title: Docs for argparse.BooleanOptionalAction missing "New in version 3.9"
Type: Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: John Belmonte, docs@python, jbelmonte, lukasz.langa, miss-islington, nanjekyejoannah, paul.j3, python-dev, rhettinger, shangxiao
Priority: normal Keywords: patch

Created on 2020-10-29 11:54 by shangxiao, last changed 2021-07-12 16:24 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23026 merged python-dev, 2020-10-29 12:58
PR 26348 closed jbelmonte, 2021-05-25 08:42
PR 27097 merged miss-islington, 2021-07-12 15:20
PR 27098 merged miss-islington, 2021-07-12 15:20
Messages (9)
msg379867 - (view) Author: (shangxiao) * Date: 2020-10-29 11:54
The section that describes BooleanOptionalAction just requires a "New in version 3.9" tag
msg379868 - (view) Author: (shangxiao) * Date: 2020-10-29 12:06
Here's the section in the docs for BooleanOptionalAction: https://docs.python.org/3.9/library/argparse.html#action
msg394288 - (view) Author: John Belmonte (John Belmonte) Date: 2021-05-25 03:12
A PR was opened over a year ago, but the author never signed CLA.

How can we proceed with this doc fix?
msg394289 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-05-25 03:14
> How can we proceed with this doc fix?

Just make a new PR.  I'll check it in and close the old one.
msg394412 - (view) Author: John Belmonte (John Belmonte) Date: 2021-05-26 03:26
I've opened a new PR, please review.
msg395183 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2021-06-05 19:51
Am inclined to merge the former PR because yours is just an exact replica.

Please note that we can merge such small fixes without the author signing the CLA but the author is advised to sign the CLA for future contributions.

Source: informed by other core devs on reviewing similar PRs recently and a similar discussion was on a ML some time back.
msg397327 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-12 15:20
New changeset da2e673c53974641a0e13941950e7976bbda64d5 by David Sanders in branch 'main':
bpo-42194: Add "New in version: 3.9" to argparse.BooleanOptionalAction (GH-23026)
https://github.com/python/cpython/commit/da2e673c53974641a0e13941950e7976bbda64d5
msg397332 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-12 15:43
New changeset 721d4796be60e6a0a11dee8318794f78928648c1 by Miss Islington (bot) in branch '3.10':
bpo-42194: Add "New in version: 3.9" to argparse.BooleanOptionalAction (GH-23026) (#27097)
https://github.com/python/cpython/commit/721d4796be60e6a0a11dee8318794f78928648c1
msg397335 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-12 16:23
New changeset c786988b19d7b6808d4c940f7206b95e49e06b71 by Miss Islington (bot) in branch '3.9':
bpo-42194: Add "New in version: 3.9" to argparse.BooleanOptionalAction (GH-23026) (#27098)
https://github.com/python/cpython/commit/c786988b19d7b6808d4c940f7206b95e49e06b71
History
Date User Action Args
2021-07-12 16:24:22lukasz.langasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-07-12 16:23:42lukasz.langasetmessages: + msg397335
2021-07-12 15:43:24lukasz.langasetmessages: + msg397332
2021-07-12 15:20:15miss-islingtonsetpull_requests: + pull_request25646
2021-07-12 15:20:05miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25645
2021-07-12 15:20:02lukasz.langasetnosy: + lukasz.langa
messages: + msg397327
2021-06-05 19:51:17nanjekyejoannahsetnosy: + nanjekyejoannah
messages: + msg395183
2021-05-26 03:26:52John Belmontesetmessages: + msg394412
2021-05-25 08:42:47jbelmontesetnosy: + jbelmonte
pull_requests: + pull_request24938
2021-05-25 03:14:30rhettingersetmessages: + msg394289
2021-05-25 03:12:07John Belmontesetnosy: + John Belmonte
messages: + msg394288
2020-10-29 13:30:04xtreaksetnosy: + rhettinger, paul.j3
2020-10-29 12:58:48python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request21944
stage: patch review
2020-10-29 12:06:54shangxiaosetmessages: + msg379868
title: BooleanOptionalAction missing "New in version 3.9" -> Docs for argparse.BooleanOptionalAction missing "New in version 3.9"
2020-10-29 11:54:09shangxiaocreate